Bug 985855 - [engine-setup] setup fails with file conflict error
[engine-setup] setup fails with file conflict error
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-setup (Show other bugs)
3.3.0
x86_64 Unspecified
urgent Severity high
: ---
: 3.3.0
Assigned To: Itamar Heim
sefi litmanovich
integration
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-18 07:32 EDT by Elad
Modified: 2015-09-22 09 EDT (History)
8 users (show)

See Also:
Fixed In Version: is6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-21 17:14:55 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
upgrade log (5.61 KB, application/x-gzip)
2013-07-18 07:32 EDT, Elad
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 16663 None None None Never

  None (edit)
Description Elad 2013-07-18 07:32:13 EDT
Created attachment 775266 [details]
upgrade log

Description of problem:
Upgrading RHEVM from IS5 to IS6 is failing with:

Would you like to proceed? (yes|no): yes
Stopping ovirt-engine service...                     [ DONE ]
Stopping DB related services...                      [ DONE ]
Cleaning async tasks...                              [ DONE ]
Pre-upgrade validations...                           [ DONE ]
Backing Up Database...                               [ DONE ]
Rename Database...                                   [ DONE ]
Updating rpms...                                     [ ERROR ]

 **Error: Upgrade failed, rolling back**
 **Reason: Test Transaction Errors:   file /usr/share/ovirt-engine/services/config.pyc from install of rhevm-3.3.0-0.9.master.el6ev.noarch conflicts with file from package rhevm-websocket-proxy-3.3.0-0.7.master.el6ev.noarch
  file /usr/share/ovirt-engine/services/config.pyo from install of rhevm-3.3.0-0.9.master.el6ev.noarch conflicts with file from package rhevm-websocket-proxy-3.3.0-0.7.master.el6ev.noarch
  file /usr/share/ovirt-engine/services/service.pyc from install of rhevm-3.3.0-0.9.master.el6ev.noarch conflicts with file from package rhevm-websocket-proxy-3.3.0-0.7.master.el6ev.noarch
  file /usr/share/ovirt-engine/services/service.pyo from install of rhevm-3.3.0-0.9.master.el6ev.noarch conflicts with file from package rhevm-websocket-proxy-3.3.0-0.7.master.el6ev.noarch



Version-Release number of selected component (if applicable):
rhevm-3.3.0-0.7.master.el6ev.noarch
rhevm-setup-3.3.0-0.9.master.el6ev.noarch


Additional info:
upgrade log
Comment 1 Alon Bar-Lev 2013-07-19 03:21:28 EDT
This was already solved.

Which version do you use?
Comment 2 Elad 2013-07-20 08:50:04 EDT
(In reply to Alon Bar-Lev from comment #1)
> This was already solved.
> 
> Which version do you use?

rhevm-3.3.0-0.7.master.el6ev.noarch
Comment 3 Alon Bar-Lev 2013-07-20 14:40:34 EDT
(In reply to Elad from comment #2)
> (In reply to Alon Bar-Lev from comment #1)
> > This was already solved.
> > 
> > Which version do you use?
> 
> rhevm-3.3.0-0.7.master.el6ev.noarch

We should really have this build name in the versioning.

Upgrade was first tested at is6, and still not working correctly, for example revert will not revert configuration files.

Please exhaust your normal flow sequences before testing upgrade, this way we may be productive.
Comment 4 sefi litmanovich 2013-09-03 11:04:27 EDT
Upgrade from is11 to is12 works fine using following steps:

1. Update REPO files
2. engine-upgrade-check
3. yum update rhevm-setup
4. engine-setup
Comment 6 Itamar Heim 2014-01-21 17:14:55 EST
Closing - RHEV 3.3 Released
Comment 7 Itamar Heim 2014-01-21 17:22:21 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.